classification
Title: test_distutils fails if Python built in separate directory
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: BreamoreBoy, dedded, dmalcolm, eric.araujo, nascheme, ned.deily, rpetrov, tarek
Priority: normal Keywords:

Created on 2010-02-08 16:52 by nascheme, last changed 2014-06-27 20:59 by ned.deily. This issue is now closed.

Messages (5)
msg99054 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2010-02-08 16:52
Lib/test/test_distutils.py crashes if Python was built in a directory other than the source directory.  Using a separate build directory is handy if you are building Python with different sets of configure options since you only need one copy of the source. For example, in the source directory:

$ mkdir build-opt
$ cd build-opt
$ ../configure
$ make
$ cd ..
$ mkdir build-debug
$ cd build-debug
$ ../configure --with-pydebug
$ make 

I fixed a similar problem in rev 69304 but now it is broken again.  I get:

/tmp/tmpbxrmiB/xxmodule.c:17:20: error: Python.h: No such file or directory

Probably it is looking in the wrong directory for Python.h (assuming that the cwd is the top-level directory of the source).
msg99242 - (view) Author: Roumen Petrov (rpetrov) * Date: 2010-02-11 22:17
r78136 completely broke this build.
before was enough to add "old workdir" in first place as library directory to make test_get_outputs happy
msg102060 - (view) Author: Dan Dever (dedded) Date: 2010-04-01 02:55
Adding version 2.6

This fails for me with 2.6.5 in the same way.
msg221710 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 19:08
Is this still an issue that needs addressing?  I can't try it myself as I use Windows.
msg221729 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-06-27 20:59
It looks like this was fixed as part of the changes for Issue12141 (which were also backported to 2.7.x); test_build_ext tests are now cleanly skipped if the include file cannot be found.
History
Date User Action Args
2014-06-27 20:59:27ned.deilysetstatus: open -> closed

versions: + Python 3.3, - Python 3.1
nosy: + ned.deily

messages: + msg221729
resolution: out of date
stage: needs patch -> resolved
2014-06-27 19:08:45BreamoreBoysetnosy: + BreamoreBoy
messages: + msg221710
2010-11-29 16:19:24eric.araujosetassignee: tarek -> eric.araujo
versions: + Python 3.1, - Python 2.6
nosy: + dmalcolm, eric.araujo
2010-04-01 02:55:27deddedsetnosy: + dedded

messages: + msg102060
versions: + Python 2.6
2010-02-11 22:17:21rpetrovsetnosy: + rpetrov
messages: + msg99242
2010-02-08 16:52:32naschemecreate